> For the complete documentation index, see [llms.txt](https://nviasoft.gitbook.io/nviasoft-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://nviasoft.gitbook.io/nviasoft-docs/api-reference/undefined-5/enableautoreply.md).

# EnableAutoReply

### int EnableAutoReply(short nStream, short nFunction)

DisableAutoReply(Stream,Function)  함수를 통해 수동 처리로 설정했던 특정 메시지(`SnFn`)를 다시 라이브러리 자동 응답 모드로 전환합니다.

이 함수가 호출된 이후부터는 해당 메시지 수신 시 라이브러리가 내부 로직에 따라 즉시 응답을 보내며, 사용자의 Callback 함수로는 메시지가 전달되지 않습니다.

Parameters

<table data-header-hidden><thead><tr><th width="235" valign="top"></th><th width="151" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">nStream</td><td valign="top">short</td><td valign="top">SnFn중 Sn에 해당하는 값</td></tr><tr><td valign="top">nFunction</td><td valign="top">short</td><td valign="top">SnFn중 Fn에 해당하는 값</td></tr></tbody></table>

```csharp
m_gem.EnableAutoReply(1,3);// 이제 S1F3 수신 시 라이브러리가 자동으로 응답(S1F4)을 보냅니다.
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/undefined-5/enableautoreply.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
